Index: subsdec.c
===================================================================
--- subsdec.c	(revision 18730)
+++ subsdec.c	(working copy)
@@ -34,6 +34,8 @@
 #include <vlc_filter.h>
 #include <vlc_charset.h>
 
+
+
 typedef struct
 {
     char *          psz_stylename; /* The name of the style, no comma's allowed */
@@ -404,6 +406,7 @@
     if( p_dec->fmt_in.i_codec != VLC_FOURCC('s','s','a',' ') )
     {
         /* Normal text subs, easy markup */
+		
         p_spu->i_flags = SUBPICTURE_ALIGN_BOTTOM | p_sys->i_align;
         p_spu->i_x = p_sys->i_align ? 20 : 0;
         p_spu->i_y = 10;
@@ -442,11 +445,13 @@
     ssa_style_t     *p_style = NULL;
     char            *psz_new_subtitle = NULL;
     char            *psz_buffer_sub = NULL;
+    char            *psz_inline_tag = NULL;
     char            *psz_style = NULL;
     char            *psz_style_start = NULL;
     char            *psz_style_end = NULL;
     int             i_text = 0, i_comma = 0, i_strlen = 0, i;
     int             i_margin_l = 0, i_margin_r = 0, i_margin_v = 0;
+    int             i_inline_tag_size = 0;
 
     psz_buffer_sub = psz_subtitle;
 
@@ -472,6 +477,7 @@
     }
 
     psz_new_subtitle = malloc( strlen( psz_buffer_sub ) + 1);
+    psz_inline_tag = malloc( 64 );
     i_text = 0;
     while( psz_buffer_sub[0] != '\0' )
     {
@@ -487,16 +493,39 @@
             i_text++;
             psz_buffer_sub += 2;
         }
-        else if( psz_buffer_sub[0] == '{' &&
-                 psz_buffer_sub[1] == '\\' )
+        else if( psz_buffer_sub[0] == '{' )
         {
-            /* SSA control code */
-            while( psz_buffer_sub[0] != '\0' &&
-                   psz_buffer_sub[0] != '}' )
-            {
+			if ( psz_buffer_sub[1] == '\\' )
+			{
+                /* Inline style override code */
+                psz_buffer_sub += 2;
+                i_inline_tag_size = 0;
+				while( psz_buffer_sub[0] != '\0' &&
+					   psz_buffer_sub[0] != '}' )
+				{
+                    psz_inline_tag[i_inline_tag_size++] = psz_buffer_sub[0];
+					psz_buffer_sub++;
+				}
                 psz_buffer_sub++;
-            }
-            psz_buffer_sub++;
+                psz_inline_tag[i_inline_tag_size] = '\0';
+                msg_Dbg( p_dec, "inline tag: %s", psz_inline_tag);
+			}
+			else
+			{
+				/* Within a comment */
+				while ( psz_buffer_sub[0] != '\0' &&
+                        psz_buffer_sub[0] != '}' )
+				{
+                    if ( psz_buffer_sub[0] == '\\' && ( psz_buffer_sub[1] == 'n' || psz_buffer_sub[1] == 'N' ) )
+                    {
+                        psz_buffer_sub += 2;
+                        break;
+                    }
+					psz_buffer_sub++;
+				}
+                psz_buffer_sub++;
+			}
+            
         }
         else
         {
@@ -507,6 +536,8 @@
     }
     psz_new_subtitle[i_text] = '\0';
 
+    free( psz_inline_tag );
+
     i_strlen = __MAX( psz_style_end - psz_style_start, 0);
     psz_style = (char *)malloc( i_strlen + 1);
     psz_style = memcpy( psz_style, psz_style_start, i_strlen );
